Sponsored Jobs API reference
August 15, 2025:
Effective November 1, 2025, Indeed enforces a usage policy for the Indeed Sponsored Jobs API for EURO users in EU countries and Switzerland. The list of EU markets where Indeed has advertisers includes: AT, BE, CH, DE, DK, EE, ES, FI, FR, GR, IE, IT, LU, NL, PL, PT, RO, SE.
This policy requires Indeed Sponsored Jobs API customers to pay for API usage based on their sponsorship spend.
This policy does not apply to those who use Indeed's proprietary ATS plugin.
For recommended API usage patterns, see API usage recommendations.
Calls to the Sponsored Jobs API are charged 3 EUR per call. Charges incur only when monthly campaign sponsorship spend is less than the total monthly API call cost.
Use of the Sponsored jobs API is limited to paying customers that sponsor their jobs through a campaign within the last three calendar months.
Sponsored Jobs API usage is subject to a maximum number of API calls allowable in a given calendar month. The maximum number of Sponsored Jobs API calls for any month corresponds to the greater of the previous month’s Sponsored Jobs campaign spend OR credit limit.
July 8, 2024:
Effective December 1, 2024, Indeed enforces a usage policy for the Indeed Sponsored Jobs API in the United States.
This policy requires Indeed Sponsored Jobs API customers to pay for API usage based on their sponsorship spend.
This policy does not apply to those who use Indeed's proprietary ATS plugin.
For recommended API usage patterns, see API usage recommendations.
This API reference is for the latest Sponsored Jobs API version. To migrate from the legacy version, see the Migration Guides.
Use this API to get information about and manage an Indeed employer's sponsored jobs.
Additional migration note
This response field is deprecated and the API no longer returns it:
budgetOptimizationTargetfield returned fromGET /v1/campaigns/{campaignId}/budget
This response field is in the process of being deprecated:
AveragePagefield returned fromGET /v1/campaigns/{campaignId}/statsandGET /v1/campaigns/{campaignId}/stats/{date}
Client apps do not receive these fields. Make sure your app does not expect deprecated fields to be present in responses. For the full list of deprecated features, see the Migration guides.
Authorization
To authorize your app to act on behalf of itself or the Indeed employer accounts of your customers, use the client credential grant type (2-legged OAuth). This grant type does not require user interactions to authorize access.
To act on behalf of an employer, call the Sponsored Job Campaigns API with an access token that represents an employer. See Get access token that represents employer.
Agencies and programmatics
If you are an agency that uses programmatics services to integrate with APIs, consider setting up the programmatic as a secondary user for each employer account that the programmatic is managing. Then, programmatics can use the Client credential grant type (2-legged OAuth) to access your account and carry out campaign related actions. Secondary users coupled with OAuth are the industry standard for delegating access. Avoid credential sharing, which has many pitfalls.
OAuth scopes
When requesting an OAuth access token, your app must request OAuth scopes, which determine the level of access the client grants your app. For details, see Sponsored Jobs API scopes. These scopes are also included in each endpoint below.
Secondary users
The primary user sets up an employer account at Indeed. This user has full access to all resources associated with the employer account at Indeed. Primary users can give others access to their employer account. These additional users are called secondary users. Primary users can add and view secondary users and their permissions from their Indeed Account page.
Rate limiting
Indeed applies rate limiting to this API. This ensures system stability against unauthorized or unexpected use.
Eventual consistency
The API is expected to adopt an eventual consistency model. For example, when you call the POST /v1/campaigns campaign creation endpoint to create a campaign, a call to GET /v1/campaigns/{campaignId} might not return the new campaign for a brief time. See Prepare for eventual consistency in the Sponsored Jobs API get started.
Compatibility with API changes
Backwards-compatible changes to the Sponsored Jobs API can be released at any time and without prior notice. Changes considered backwards-compatible include:
- Add response fields.
- Reordering response fields.
- Changing descriptions of errors.
- Supporting new currencies and objective types.
To learn how to avoid issues caused by API changes, see Ensure compatibility with API changes.
Campaign dates
In the campaigns endpoint, dates are in US Central Time and should follow the ISO 8601 standard with a format of YYYY-MM-DD.
The campaign date fields are:
startDateShould always be on or after the current date. Defaults to the current date if no date is provided.
targetEndDate:The campaign can only have one end date, either a
targetEndDateorfixedEndDate.targetEndDateshould always be at least one day after the start date. If set, Indeed would optimize to spend the budget efficiently by this date, but the campaign may spend past this date if the campaign still has budget remaining.fixedEndDate:The campaign can only have one end date, either a
targetEndDateorfixedEndDate.fixedEndDateshould always be at least one day after the start date. If set, Indeed would optimize to spend the budget efficiently by this date and also ensure that the campaign doesn’t spend beyond the specified date even if there is budget remaining.
Campaign traffic statistics
Campaign traffic statistics are available from January 1st, 2017.
Organic clicks and organic impressions
Starting on August 23rd, 2020, Indeed made organic clicks and organic impressions traffic statistics available. See the updated endpoints in the Reports and Detailed Reports sections. Organic metric data backdates to January 1st, 2017.
Search engine results page count
Starting on April 1st, 2020, Indeed changed the methodology for counting Search Engine Results Pages (SERP) impressions for some services. All impressions in the SERP are now counted when they are made visible to the user. This change speeds up the availability of certain performance metrics. The good news for you is that this helps:
- Deliver non-Sponsored jobs data much faster than before.
- Offer consistency on desktop and mobile reporting.
Conversion Tracker sunset
Indeed sunset the Conversion Tracker effective October 1, 2021. As a result, Conversion Tracker data is not collected or displayed after October 1, and historical data is available until October 1, 2022. You might see lower conversions being reported effective October 1, 2021.
Objective-based campaigns
The Sponsored Jobs API supports objective-based campaigns. See Reach Your Recruiting Goals With Objective Based Campaigns. All campaigns created by Sponsored Jobs API are required to have an objective. If objectives are not provided by the employers at the time of new campaign creation, Sponsored Jobs API would select the appropriate objective for the campaign.
Note: Some objectives rely on the availability of app metrics. If you are not sure of the availability of app metrics, talk to your client success specialist to explore other solutions.
Endpoints
Endpoints that support objective-based campaigns are:
POST /v1/campaignsGET /v1/campaigns/{campaignId}PATCH /v1/campaigns/{campaignId}
Release dates
September 2, 2021
- Scheduled interviews – optimize for the number of interviews
December 7, 2021
- Target a specific cost per apply
- Maximize applicant volume
- Balanced objective – optimize equally for speed, quantity, and cost.
- Target a specific number of applies. For example, 10 applies for each job in the campaign.
- Target a specific number of interviews. For example, 10 scheduled interviews for each job in the campaign.
May 11, 2022
- All campaigns created by Sponsored Jobs API are required to have an objective. If objectives are not provided by the employers at the time of new campaign creation, Sponsored Jobs API would select the appropriate objective for the campaign.
August 26, 2022
- Sponsoring jobs on TMN is now supported by Sponsored Jobs API